export interface ISummaryExpression {
    fieldName: string;
    customSummary?: any;
}
export interface IgxSummaryResult {
    key: string;
    label: string;
    summaryResult: any;
}
export declare class IgxSummaryOperand {
    static count(data: any[]): any;
    operate(data?: any[]): IgxSummaryResult[];
}
export declare class IgxNumberSummaryOperand extends IgxSummaryOperand {
    static min(data: any[]): any;
    static max(data: any[]): any;
    static sum(data: any[]): any;
    static average(data: any[]): any;
    operate(data?: any[]): IgxSummaryResult[];
}
export declare class IgxDateSummaryOperand extends IgxSummaryOperand {
    static latest(data: any[]): any;
    static earliest(data: any[]): any;
    operate(data?: any[]): IgxSummaryResult[];
}
